<%@ page contentType="text/html; charset=GBK"%>
<%@ taglib uri="/cms4j" prefix="cms4j" %>
<%@ taglib uri="/oscache" prefix="cache" %>

<%@ page import = "cn.com.dekn.cms.util.*" %>

<%
//默认的文章显示页,下面会从配置信息中取
String DEF_ARTICLE_SHOW_PATH = "";

//网站群节点ID
String NODE_ID = StrUtil.getNotNullStringValue(request.getParameter("NODE_ID"),"root");

//网站群节点参数
String CLUSTER_URL_PARAM = "";
if(null != request.getParameter("cluster_node_id")){
	CLUSTER_URL_PARAM = "cluster_node_id=" + request.getParameter("cluster_node_id");
}
%>


<cms4j:site_config node_id="<%=NODE_ID%>">
<% DEF_ARTICLE_SHOW_PATH = siteconfig_info.getARTICLE_VIEW_TEMPLET_PATH(); %>
</cms4j:site_config>


<%
//显示文章的默认页面
String SHOW_ARTICLE_PAGE = StrUtil.getNotNullStringValue(request.getParameter("SHOW_ARTICLE_PAGE"),DEF_ARTICLE_SHOW_PATH);

%>

<script>
<%
cn.com.dekn.cms.article.admin.busi.ArticleBean articleBean = new cn.com.dekn.cms.article.admin.busi.ArticleBean();
cn.com.dekn.cms.article.admin.vo.ArticleVO articleVO = articleBean.getArticleForID(Integer.parseInt(request.getParameter("id")));
%>

location.href="<%=articleVO.getURL(SHOW_ARTICLE_PAGE)%>";
</script>